## virtuoso-opensource 7.2.12%2Bdfsg

=== binsrc/tests/dotnet/VirtuosoClientSuite/Makefile ===
#
# $Id$
#

DLL_SOURCES=\
 BlobTest.cs\
 CommandBuilderTest.cs\
 CommandTest.cs\
 ConnectionTest.cs\
 TransactionTest.cs\
 SqlXmlTest.cs\
 VirtuosoClientSuite.cs

DTC_DLL_SOURCES=\
 DtcTest.cs\
 AssemblyInfo.cs\
 VirtuosoDtcSuite.cs

REFERENCES=/reference:OpenLink.Testing.dll,OpenLink.Data.Virtuoso.dll
CLIENT_REFERENCES=/reference:OpenLink.Testing.dll,OpenLink.Data.VirtuosoClient.dll
ODBC_CLIENT_REFERENCES=/reference:OpenLink.Testing.dll,OpenLink.Data.VirtuosoOdbcClient.dll

all: \
	VirtuosoSuite.dll \
	VirtuosoClientSuite.dll \
	VirtuosoOdbcClientSuite.dll \
	VirtuosoDtcSuite.dll \
	VirtuosoDtcClientSuite.dll \
	VirtuosoDtcOdbcClientSuite.dll

VirtuosoSuite.dll: $(DLL_SOURCES) OpenLink.Testing.dll OpenLink.Data.Virtuoso.dll
	csc /target:library /out:$@ $(REFERENCES) $(DLL_SOURCES)

VirtuosoClientSuite.dll: $(DLL_SOURCES) OpenLink.Testing.dll OpenLink.Data.VirtuosoClient.dll
	csc /target:library /out:$@ /define:CLIENT $(CLIENT_REFERENCES) $(DLL_SOURCES)

VirtuosoOdbcClientSuite.dll: $(DLL_SOURCES) OpenLink.Testing.dll OpenLink.Data.VirtuosoOdbcClient.dll
	csc /target:library /out:$@ /define:ODBC_CLIENT $(ODBC_CLIENT_REFERENCES) $(DLL_SOURCES)

VirtuosoDtcSuite.dll: $(DTC_DLL_SOURCES) OpenLink.Testing.dll OpenLink.Data.Virtuoso.dll
	csc /target:library /out:$@ $(REFERENCES) $(DTC_DLL_SOURCES)

VirtuosoDtcClientSuite.dll: $(DTC_DLL_SOURCES) OpenLink.Testing.dll OpenLink.Data.VirtuosoClient.dll
	csc /target:library /out:$@ /define:CLIENT $(CLIENT_REFERENCES) $(DTC_DLL_SOURCES)

VirtuosoDtcOdbcClientSuite.dll: $(DTC_DLL_SOURCES) OpenLink.Testing.dll OpenLink.Data.VirtuosoOdbcClient.dll
	csc /target:library /out:$@ /define:ODBC_CLIENT $(ODBC_CLIENT_REFERENCES) $(DTC_DLL_SOURCES)

OpenLink.Testing.dll:
	cd ../harness; $(MAKE)
	cp ../harness/OpenLink.Testing.dll .

OpenLink.Data.Virtuoso.dll:
	cd ../../../VirtuosoClient.Net; $(MAKE)
	cp ../../../VirtuosoClient.Net/OpenLink.Data.Virtuoso.dll .

OpenLink.Data.VirtuosoClient.dll:
	cd ../../../VirtuosoClient.Net; $(MAKE)
	cp ../../../VirtuosoClient.Net/OpenLink.Data.VirtuosoClient.dll .

OpenLink.Data.VirtuosoOdbcClient.dll:
	cd ../../../VirtuosoClient.Net; $(MAKE)
	cp ../../../VirtuosoClient.Net/OpenLink.Data.VirtuosoOdbcClient.dll .

clean:
	rm -rf \
	  VirtuosoSuite.dll \
	  VirtuosoClientSuite.dll \
	  VirtuosoOdbcClientSuite.dll \
	  VirtuosoDtcSuite.dll \
	  VirtuosoDtcClientSuite.dll \
	  VirtuosoDtcOdbcClientSuite.dll \
	  OpenLink.Testing.dll \
	  OpenLink.Data.Virtuoso.dll \
	  OpenLink.Data.VirtuosoClient.dll \
	  OpenLink.Data.VirtuosoOdbcClient.dll

=== debian/rules ===
#!/usr/bin/make -f
export MONO_DISABLE_SHM=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all, optimize=-lto
# most of the flags can be dropped with release 7.2.13
export DEB_CFLAGS_MAINT_APPEND = -Wno-error=incompatible-pointer-types -Wno-error=int-conversion -Wno-error=implicit-int

# Needed for memmmem at least in hurd and kfreebsd*
CFLAGS += -D_GNU_SOURCE

TEMPLATES	:= $(wildcard debian/*.in)
AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))

%:
	dh $@ --with pkgkde_symbolshelper

# autoreconf updates INSTALL only if it exists
execute_before_dh_autoreconf:
	touch INSTALL

override_dh_auto_configure: autogen
	# Code copy of ckeditor was removed - bring this back into the code tree
	ln -sf /usr/share/javascript/ckeditor3 appsrc/ODS-Framework/ckeditor
	dh_auto_configure -- --with-layout=Debian --program-transform-name='s/isql$$/isql-vt/;s/isqlw/isqlw-vt/' --with-readline --without-internal-zlib --enable-all-vads

execute_after_dh_auto_build:
	# manpages
	find debian -maxdepth 1 -type f -name '*.1.xml' -execdir docbook2x-man --solinks {} \;

override_dh_installinit:
	dh_installinit --noscripts

execute_before_dh_auto_clean:
	# manpages clean
	$(RM) debian/*.1

execute_after_dh_auto_clean:
	$(RM) appsrc/ODS-Framework/ckeditor
	$(RM) $(AUTOGEN)

autogen: $(AUTOGEN) ;

debian/%: debian/%.in
	sed 's/@@DEB_HOST_MULTIARCH@@/$(DEB_HOST_MULTIARCH)/g' $< > $@

## virtuoso-opensource 7.2.12+dfsg

=== binsrc/tutorial/services/ws_s_3/Makefile ===
CS=csc.exe

CS_WINFORMS_IMPORTS=/R:System.DLL /R:System.Windows.Forms.DLL  /R:System.Drawing.DLL

OUTDIR=.

#this should be set to the path to the Microsoft.Web.Services.dll
CSLIBFLAGS=/lib:.

CS_EXE_FLAGS=/nologo $(CSLIBFLAGS)

TARGETS = \
  $(OUTDIR)\ASymClient.exe \
  $(OUTDIR)\ASymClient2.exe
CLEANUP = \
  $(OUTDIR)\ASymClient.exe \
  $(OUTDIR)\ASymClient2.exe \
  $(OUTDIR)\ASymClient.pdb

IMPORTS=$(CS_WINFORMS_IMPORTS) /r:System.dll /r:System.Web.Services.dll /r:System.Data.dll /r:System.Xml.dll /r:Microsoft.Web.Services.dll
IMPORTS2=$(CS_WINFORMS_IMPORTS) /r:System.dll /r:System.Web.Services.dll /r:System.Data.dll /r:System.Xml.dll /r:Microsoft.Web.Services2.dll

all : $(TARGETS)

$(OUTDIR)\ASymClient.exe : ASymClient.cs
  @if not exist $(OUTDIR) md $(OUTDIR)
  $(CS) $(CS_EXE_FLAGS) $(IMPORTS) /out:$@ $**

$(OUTDIR)\ASymClient2.exe : ASymClient2.cs
  @if not exist $(OUTDIR) md $(OUTDIR)
  $(CS) $(CS_EXE_FLAGS) $(IMPORTS2) /out:$@ $**

clean :
  @for %i in ( $(CLEANUP) ) do @if exist %i del %i

=== binsrc/tutorial/hosting/ho_s_30/WebCalendar/docs/Makefile ===
# Makefile for updating documentation automatically


all: database.html


database.html: ../tables-mysql.sql sql2html.pl
	perl sql2html.pl < ../tables-mysql.sql > database.html

=== debian/changelog ===
virtuoso-opensource (7.2.12+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Updated Spanish debconf translations, thanks to Camaleón.
    (Closes: #1100472)
  * New Catalan debconf translations, thanks to Carles Pina i Estany.
    (Closes: #1101663)
  * Run debconf-updatepo during clean.
  * Drop redundant Rules-Requires-Root: no.
  * Add systemd unit (calling ExecStart=/etc/init.d/virtuoso-opensource-7).
    (Closes: #1039411)
  * Restrict to architecture-is-little-endian.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 19 Sep 2025 21:26:33 +0200

virtuoso-opensource (7.2.12+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with GCC 15.  (Closes: #1098067)
  * Fix building twice in a row.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 17 Sep 2025 17:04:54 +0200

virtuoso-opensource (7.2.12+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Drop virtuoso-vad-ods with ckeditor3.  (Closes: #1101019)
  * Drop commented out package definitions.
  * Prevent building unused files.

 -- Bastian Germann <bage@debian.org>  Fri, 04 Apr 2025 19:25:23 +0200

virtuoso-opensource (7.2.12+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Relax compilation errors.  (Closes: #1075623)
  * Drop package libvirtuoso5.5-cil.

  [ Lee Garrett ]
  * Fix missing bracket.

 -- Bastian Germann <bage@debian.org>  Fri, 30 Aug 2024 16:22:28 +0200

virtuoso-opensource (7.2.12+dfsg-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 03 May 2024 11:25:45 +0200

virtuoso-opensource (7.2.12+dfsg-0.1) experimental; urgency=medium

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * New upstream release 7.2.12.
    - Fixes CVE-2023-48945, CVE-2023-48946, CVE-2023-48947, CVE-2023-48948,
      CVE-2023-48949, CVE-2023-48950, CVE-2023-48951, CVE-2023-48952.
      (Closes: #1059062)
  * New upstream release 7.2.11.
  * New upstream release 7.2.10.
    - Fixes CVE-2023-31607, CVE-2023-31608, CVE-2023-31609, CVE-2023-31610,
      CVE-2023-31611, CVE-2023-31612, CVE-2023-31613, CVE-2023-31614,
      CVE-2023-31615, CVE-2023-31616, CVE-2023-31617, CVE-2023-31618,
      CVE-2023-31619, CVE-2023-31620, CVE-2023-31621, CVE-2023-31622,
      CVE-2023-31623, CVE-2023-31624, CVE-2023-31625, CVE-2023-31626,
      CVE-2023-31627, CVE-2023-31628, CVE-2023-31629, CVE-2023-31630,
      CVE-2023-31631.  (Closes: #1036467)
  * New upstream release 7.2.9.
  * New upstream release 7.2.8.
  * New upstream release 7.2.7.
  * New upstream release 7.2.6.1.  (Closes: #1000189)
  * New upstream release 7.2.6.
  * Exclude more windows-specific files.
  * Handle new/moved/renamed files.
  * Refresh patches.
  * Upload to experimental.

  [ Yavor Doganov ]
  * debian/patches/pcre2.patch: Update for the new upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 22 Mar 2024 10:19:47 +0100

virtuoso-opensource (7.2.5.1+dfsg1-0.8) unstable; urgency=medium

  * Non-maintainer upload.
  * Exclude Makefile* from *.vad for reproducibility.
  * Fix building with -Werror=implicit-function-declaration.
  * Improve reproducibility.
  * Disable LTO due to testsuite failures (Ubuntu).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 14 Mar 2024 14:52:18 +0100

virtuoso-opensource (7.2.5.1+dfsg1-0.7) unstable; urgency=medium

  * Non-maintainer upload.
  * Restrict to architecture-is-64-bit.
  * Add libfftw3-dev build-dependency as workaround for imagemagick packaging
    bug #1064658.
  * Redo safer-timeout.patch.
  * Packaging cleanup.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Mar 2024 03:45:34 +0100

virtuoso-opensource (7.2.5.1+dfsg1-0.6) unstable; urgency=medium

  * Non-maintainer upload.

  [ Yavor Doganov ]
  * Port to pcre2.  (Closes: #999931)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 23 Feb 2024 14:07:47 +0100

virtuoso-opensource (7.2.5.1+dfsg1-0.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Updated Swedish debconf translation, thanks to Martin Bagge.
    (Closes: #1055274)
  * Cleanup d/rules.
  * Make the build reproducible.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 21 Nov 2023 02:29:04 +0100

virtuoso-opensource (7.2.5.1+dfsg1-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop kfreebsd specific ignore-netstat-failure.patch.  (Closes: #761659)
  * Fix building twice in a row.
  * Make the build (partly) reproducible.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 13 Nov 2023 17:05:35 +0100

virtuoso-opensource (7.2.5.1+dfsg1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add salsa-ci.yml.
  * Drop dependency on transitional lsb-base.
  * Update watch file.
  * Update Lintian overrides.
  * Updated Brazilian Portuguese debconf translation, thanks to
    Paulo Henrique de Lima Santana.  (Closes: #1024191)
  * Re-enable dh_dwz.
  * Switch to debhelper-compat 13.
  * Make the build (partly) reproducible.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 08 Feb 2023 16:53:21 +0100

virtuoso-opensource (7.2.5.1+dfsg1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix WBXML2 0.11 detection.  (Closes: #993431)
  * Use libtirpc-dev.  (Closes: #993390)
  * The bullseye toolchain defaults to linking with --as-needed.
  * Set Rules-Requires-Root: no.
  * Update Lintian overrides.
  * Drop NEWS from 2010.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 20 Oct 2021 23:11:44 +0200

=== debian/control ===
Source: virtuoso-opensource
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Will Daniels <mail@willdaniels.co.uk>
Section: database
Priority: optional
Build-Depends: debhelper-compat (= 13),
               architecture-is-64-bit,
               architecture-is-little-endian,
               bison,
               docbook-xml,
               docbook2x,
               flex,
               gawk,
               gperf,
               libldap2-dev,
               libmagickwand-dev,
               libminizip-dev,
               libpcre2-dev,
               libreadline-dev,
               libssl-dev,
               libtirpc-dev,
               libtool,
               libwbxml2-dev,
               libxml2-dev,
               m4,
               net-tools,
               pkg-kde-tools,
               po-debconf,
#1064658: src:imagemagick: .pc files contains -lfftw3 but no libfftw3-dev dependency
               libfftw3-dev,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/science-team/virtuoso-opensource
Vcs-Git: https://salsa.debian.org/science-team/virtuoso-opensource.git
Homepage: http://vos.openlinksw.com/owiki/wiki/VOS/

Package: virtuoso-opensource
Architecture: all
Section: metapackages
Depends: virtuoso-opensource-7 (>= ${binary:Version}),
         ${misc:Depends}
Recommends: virtuoso-server,
            virtuoso-vad-conductor,
            virtuoso-vsp-startpage
Suggests: virtuoso-vad-bpel,
          virtuoso-vad-dbpedia,
          virtuoso-vad-demo,
          virtuoso-vad-doc,
          virtuoso-vad-facetedbrowser,
          virtuoso-vad-isparql,
          virtuoso-vad-rdfmappers,
          virtuoso-vad-sparqldemo,
          virtuoso-vad-syncml,
          virtuoso-vad-tutorial
Description: high-performance database
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 Virtuoso supports SPARQL embedded into SQL for querying RDF data stored
 in its database. SPARQL benefits from low-level support in the engine
 itself, such as SPARQL-aware type-casting rules and a dedicated IRI data
 type.
 .
 Install this metapackage for the full suite of packages that make up
 Virtuoso OSE ("Open-Source Edition").

Package: virtuoso-server
Architecture: all
Section: metapackages
Depends: virtuoso-opensource-7 (>= ${binary:Version}),
         ${misc:Depends}
Description: high-performance database - server dependency package
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This is an empty package depending on the current "best" version of the
 Virtuoso server framework, as recommended by the maintainers (currently
 virtuoso-opensource-7). Install this package if in doubt about
 which version you need.

Package: virtuoso-minimal
Architecture: all
Section: metapackages
Depends: libvirtodbc0 (>= ${binary:Version}),
         virtuoso-opensource-7-bin (>= ${binary:Version}),
         ${misc:Depends}
Description: high-performance database - core dependency package
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This is an empty package depending on the current "best" version of the
 core Virtuoso binaries, as recommended by the maintainers (currently
 virtuoso-opensource-7-bin). This should usually be depended on by
 all packages which use Virtuoso as an embedded database.

Package: virtuoso-opensource-7
Architecture: any
Depends: libvirtodbc0 (= ${binary:Version}),
         virtuoso-opensource-7-bin (= ${binary:Version}),
         virtuoso-opensource-7-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends}
Description: high-performance database - support files
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package provides the Virtuoso server framework.

Package: virtuoso-opensource-7-common
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: virtuoso-opensource-6.1-common (<< 7),
Replaces: virtuoso-opensource-6.1-common (<< 7),
Description: high-performance database - common files
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains files common to all versions of Virtuoso.

Package: virtuoso-opensource-7-bin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: virtuoso-opensource-6.1-bin (<< 7),
Replaces: virtuoso-opensource-6.1-bin (<< 7),
Description: high-performance database - binaries
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the core Virtuoso binaries.

Package: virtuoso-vsp-startpage
Architecture: all
Depends: virtuoso-opensource,
         ${misc:Depends}
Description: high-performance database - web interface files
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the files for Virtuoso's web interface.

Package: virtuoso-vad-conductor
Architecture: all
Depends: virtuoso-opensource,
         ${misc:Depends}
Description: high-performance database - conductor module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the administration interface.

Package: virtuoso-vad-doc
Architecture: all
Section: doc
Depends: virtuoso-opensource,
         ${misc:Depends}
Description: high-performance database - documentation module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the documentation.

Package: virtuoso-vad-demo
Architecture: all
Section: doc
Depends: virtuoso-opensource,
         ${misc:Depends}
Description: high-performance database - demo module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the demonstration application.

Package: virtuoso-vad-tutorial
Architecture: all
Section: doc
Depends: virtuoso-opensource,
         ${misc:Depends}
Description: high-performance database - tutorial module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the tutorial application.

Package: virtuoso-vad-rdfmappers
Architecture: all
Depends: virtuoso-opensource,
         ${misc:Depends}
Description: high-performance database - RDF mappers module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the RDF mappers application.

Package: virtuoso-vad-sparqldemo
Architecture: all
Depends: virtuoso-opensource,
         ${misc:Depends}
Description: high-performance database - SPARQL demo module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for the SPARQL demo application.

Package: virtuoso-vad-syncml
Architecture: all
Depends: virtuoso-opensource,
         ${misc:Depends}
Description: high-performance database - SyncML module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for Synchronization Markup Language support.

Package: virtuoso-vad-bpel
Architecture: all
Depends: virtuoso-opensource,
         ${misc:Depends}
Description: high-performance database - BPEL module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side
 Java or .NET, and more. It supports all major data-access interfaces,
 including ODBC, JDBC, ADO.NET, and OLE/DB.
 .
 This package contains the Virtuoso Application Distribution module
 for Business Process Execution Language support.

Package: virtuoso-vad-isparql
Architecture: all
Depends: virtuoso-opensource,
         ${misc:Depends}
Description: high-performance database - iSPARQL module
 OpenLink Virtuoso is a high-performance object-relational SQL database.
 It provides transactions, a smart SQL compiler, hot backup, SQL:1999
 support, a powerful stored-procedure language supporting server-side

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-export MONO_DISABLE_SHM=1
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all, optimize=-lto
 # most of the flags can be dropped with release 7.2.13
@@ -19,9 +18,9 @@
 	touch INSTALL
 
 override_dh_auto_configure: autogen
-	# Code copy of ckeditor was removed - bring this back into the code tree
-	ln -sf /usr/share/javascript/ckeditor3 appsrc/ODS-Framework/ckeditor
-	dh_auto_configure -- --with-layout=Debian --program-transform-name='s/isql$$/isql-vt/;s/isqlw/isqlw-vt/' --with-readline --without-internal-zlib --enable-all-vads
+	dh_auto_configure -- --with-layout=Debian --program-transform-name='s/isql$$/isql-vt/;s/isqlw/isqlw-vt/' --with-readline --without-internal-zlib \
+		--enable-bpel-vad --enable-conductor-vad --enable-demo-vad --enable-isparql-vad --enable-rdfmappers-vad \
+		--enable-sparqldemo-vad --enable-syncml-vad --enable-tutorial-vad
 
 execute_after_dh_auto_build:
 	# manpages
@@ -35,8 +34,10 @@
 	$(RM) debian/*.1
 
 execute_after_dh_auto_clean:
-	$(RM) appsrc/ODS-Framework/ckeditor
 	$(RM) $(AUTOGEN)
+
+execute_after_dh_clean:
+	debconf-updatepo
 
 autogen: $(AUTOGEN) ;

=== debian/watch ===
version=4

opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/virtuoso-opensource-$1\.tar\.gz/, \
  dversionmangle=auto, repacksuffix=+dfsg" \
  https://github.com/openlink/virtuoso-opensource/tags .*/v?(\d\S+)\.tar\.gz
